package ejb.dataAccess;


import java.util.*;
import java.sql.*;
import java.lang.Double;
import java.io.*;




public class DataSet implements Serializable {

  private String sqlString;
  private Vector columnNames,rowsOfData;






  public DataSet(String sql,Vector columns,Vector rows) {

    sqlString = sql;
    columnNames = columns;
    rowsOfData = rows;


  } //public DataSet()






  public Vector getColumnNamesVector() {

    return columnNames;
  }



  public Vector getRowsOfDataVector() {

    return rowsOfData;
  }







  public String getSqlString() {

    return sqlString;
  }




}//public class DataSet implements Serializable





